Skip to main content
GET
/
v1
/
custom_functions
List Custom Functions
curl --request GET \
  --url https://api.example.com/v1/custom_functions \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "technical_description": "<string>",
      "status": "<string>",
      "limits": {
        "max_run_time": 15
      },
      "input_schema": {},
      "source_code": "<string>",
      "analysis_error_details": "<string>",
      "organization_id": "<string>",
      "created_at": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123,
  "total_pages": 123
}
List all custom functions in your organization. Custom functions are user-defined Python functions that can be attached to agents as tools.

Query Parameters

page
integer
default:1
Page number (starting from 1)
per_page
integer
default:20
Items per page (maximum 50)

Response

items
array
Array of custom function objects
total
integer
Total number of custom functions
page
integer
Current page number
per_page
integer
Items per page
total_pages
integer
Total pages available

Example Request

curl -X GET -H "x-api-key: <your-api-key>" \
  "https://api.xpander.ai/v1/custom_functions?page=1&per_page=10"

Notes

  • Custom functions are attached to agents using attached_tools with id='xpander-custom-functions'
  • Functions in analysing status are being processed and not yet available for use

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

page
integer
default:1

Page number (starting from 1)

Required range: x >= 1
per_page
integer
default:20

Items per page (max 50)

Required range: 1 <= x <= 50

Response

Successful Response

items
CustomFunctionItem · object[]
required
total
integer
required
page
integer
required
per_page
integer
required
total_pages
integer
required